%define        majver %(echo %version|cut -d. -f1-2)
%define        pkgver %(echo %version | tr . -)
Name:          tcllib
Version:       1.21
Release:       1mamba
Summary:       Library of utility modules for tcl
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://core.tcl-lang.org/tcllib/doc/trunk/embedded/index.md
Source:        https://github.com/tcltk/tcllib.git/tcllib-%{pkgver}/tcllib-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      libtcl

%description 
Tcllib is a collection of utility modules for tcl.
These modules provide a wide variety of functionality, from implementation of standard data structures  to implementation of common networking protocols. The intent is to collect commoly used function into a single library, which users can rely on to be available  and stable.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n tcllib
%defattr(-,root,root)
%{_bindir}/dtplite
%{_bindir}/mkdoc
%{_bindir}/nns
%{_bindir}/nnsd
%{_bindir}/nnslog
%{_bindir}/page
%{_bindir}/pt
%{_bindir}/tcldocstrip
%dir %{_libdir}/tcllib%{majver}
%{_libdir}/tcllib%{majver}/*
%{_mandir}/mann/*

%changelog
* Sat Nov 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.21-1mamba
- update to 1.21

* Sun Jul 31 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.18-2mamba
- ... add a changelog entry

* Sun Jul 31 2016 Automatic Build System <autodist@mambasoft.it> 1.18-1mamba
- automatic version update by autodist

* Thu Sep 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16-1mamba
- update to 1.16

* Tue Apr 23 2013 Automatic Build System <autodist@mambasoft.it> 1.15-1mamba
- automatic version update by autodist

* Sat May 08 2010 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic update by autodist

* Tue Mar 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11.1-1mamba
- automatic update by autodist

* Fri May 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10-1mamba
- update to 1.10

* Sun May 20 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9-1mamba
- update to 1.9

* Fri Aug 01 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.4-2qilnx
- changed dependencies from tcl to libtcl

* Thu May 15 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 1.4-1qilnx
- Creation of tcllib package
